import { emptyObject, mergeObjects, updateObjectValue as replaceObjectValueHelper, removeObjectKeys as deleteObjectValueHelper } from '../helpers/objectCRUD';
import { DUMMY_OBJECT } from '../helpers/constant';
let object = DUMMY_OBJECT;

const handleObjectCURD = () => {
  const setObjectValue = newObject => {
    const modifiedObject = mergeObjects({
      object,
      newObject
    });
    object = modifiedObject; // return modifiedObject
  };

  const clearObjectValue = () => {
    const modifiedObject = emptyObject();
    object = modifiedObject; // return modifiedObject
  };

  const updateObjectValue = (key, value) => {
    const modifiedObject = replaceObjectValueHelper({
      object,
      key,
      value
    });
    object = modifiedObject; // return modifiedObject
  };

  const removeObjectKeys = key => {
    const modifiedObject = deleteObjectValueHelper({
      object,
      key
    });
    object = modifiedObject; // return modifiedObject
  };

  return {
    setObjectValue,
    clearObjectValue,
    updateObjectValue,
    removeObjectKeys,
    getObject: () => object
  };
};

export default handleObjectCURD;