"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.clearToastNotifications = clearToastNotifications;
exports.hideToastNotification = hideToastNotification;
exports.showToastNotification = showToastNotification;

var _constant = require("../../../service/helpers/constant");

var _customEventDispatcher = require("../../../service/helpers/customEventDispatcher");

function showToastNotification(payload) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_SHOW_TOAST_NOTIFICATION,
      payload: payload
    }
  });
}

function hideToastNotification(id) {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_HIDE_TOAST_NOTIFICATION,
      payload: {
        id: id
      }
    }
  });
}

function clearToastNotifications() {
  (0, _customEventDispatcher.dispatchCustomEvent)({
    eventName: _constant.DOT_SERVICE_EVENT,
    detail: {
      type: _constant.DOT_SERVICE_EVENT_TYPE_CLEAR_ALL_TOAST_NOTIFICATION // Removed trailing comma

    }
  });
}